| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ISerialize Class Reference

`#include <GaudiKernel/ISerialize.h>`

Inheritance diagram for ISerialize:

[legend]
Collaboration diagram for ISerialize:

[legend]
List of all members.

## Detailed Description

Object serialization interface definition.

Definition of a interface to save and restore objects.

Author:
  M.Frank

Definition at line 21 of file ISerialize.h.

## Public Member Functions
virtual StreamBuffer & | serialize (StreamBuffer &str)=0
| Input serialisation from stream buffer.
virtual StreamBuffer & | serialize (StreamBuffer &str) const =0
| Output serialisation to stream buffer.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Function Documentation

static const InterfaceID& ISerialize::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 24 of file ISerialize.h.

References IID_ISerialize.

    00024 { return IID_ISerialize; }

virtual StreamBuffer& ISerialize::serialize | ( | StreamBuffer & | str | ) | `[pure virtual]`

Input serialisation from stream buffer.

Restores the status of the object.

Parameters:

  | str | Reference to Streambuffer to be filled

Returns:
  Reference to filled stream buffer

Implemented in RndmEngine, and RndmGenSvc.

Referenced by RndmGenSvc::serialize().

virtual StreamBuffer& ISerialize::serialize | ( | StreamBuffer & | str | ) | const`[pure virtual]`

Output serialisation to stream buffer.

Saves the status of the object.

Parameters:

  | str | Reference to Streambuffer to be read

Returns:
  Reference to read stream buffer

Implemented in RndmEngine, and RndmGenSvc.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ISerialize.h